mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Policy.CodeGroup System.Runtime.InteropServices.ComVisible(true)

Code groups are the building blocks of code access security policy. Each policy level consists of a root code group that can have child code groups. Each child code group can have their own child code groups; this behavior extends to any number of levels, forming a tree. Each code group has a membership condition that determines if a given assembly belongs to it based on the evidence for that assembly. Only code groups whose membership conditions match a given assembly and their child code groups apply policy.

has the same child matching semantics as . However, returns a permission set containing a dynamically-calculated that grants file access to the directory from which the code is run; only returns a static permission set. The type of file access granted is passed as a parameter to the constructor.

This code group only matches assemblies run over a file protocol, that is, assemblies that have URLs that point to a file or UNC path.

Grants permission to manipulate files located in the code assemblies to code assemblies that match the membership condition. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor creates a basic code group. Child code groups can be added with the method.

  returns a permission set containing a dynamically-calculated that grants file access to the directory from which the code is run. The type of access granted is determined by the parameter.

  Initializes a new instance of the class.

  A membership condition that tests evidence to determine whether this code group applies policy.
  One of the values. This value is used to construct the that is granted.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  does not use , so this property is always null.

  Gets a string representation of the attributes of the policy statement for the code group.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Policy.CodeGroup

  This method makes a deep copy of the code group, so that copies of all objects the code group contains are also made.

  Makes a deep copy of the current code group.

  An equivalent copy of the current code group, including its membership conditions and child code groups.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether the specified code group is equivalent to the current code group.

  true if the specified code group is equivalent to the current code group; otherwise, false.

  The code group to compare with the current code group.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Gets the hash code of the current code group.

  The hash code of the current code group.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the merge logic.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the name of the named permission set for the code group.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Policy.PolicyStatement ``

  Given evidence for an assembly to be loaded, this method evaluates the code group by first checking the membership condition against the specified evidence. If there is a match, this method returns a policy statement for the code group, including evaluation of child code groups.

  The .NET Framework security system uses on the policy levels to determine which permissions to grant to loaded code from the resulting policy statements and the code request on the assembly.

  uses union semantics and forms a permission set based on the specified by .

  Resolves policy for the code group and its descendants for a set of evidence.

  A policy statement consisting of the permissions granted by the code group with optional attributes, or null if the code group does not apply (the membership condition does not match the specified evidence).

  The evidence for the assembly.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Policy.CodeGroup ``

  Given evidence for an assembly to be loaded, this method evaluates the code group by first checking the membership condition against the specified evidence. If there is a match, this method returns a root code group. The code group that is returned contains child code groups, which in turn can have child code groups as necessary to reflect the complete set of code groups that were matched by the evidence provided.

  uses union semantics and forms a permission set based on the specified by .

  Resolves matching code groups.

  A that is the root of the tree of matching code groups.

  The evidence for the assembly.